edu.isi.pegasus.planner.dax

## Class DAG

- java.lang.Object
- - edu.isi.pegasus.planner.dax.AbstractJob
  - - edu.isi.pegasus.planner.dax.DAG

    public class DAG
    extends AbstractJob

DAG Class to hold the DAG job object.

Version:
  $Revision$
Author:
  Gaurang Mehta gmehta at isi dot edu
See Also:
  `AbstractJob`

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.dax.AbstractJob

`mArguments, mId, mInvokes, mLogger, mName, mNamespace, mNodeLabel, mProfiles, mStderr, mStdin, mStdout, mUses, mVersion`

### Constructor Summary

Constructors
Constructor and Description
`DAG(DAG dag)` Copy Constructor
`DAG(java.lang.String id, java.lang.String dagname)` Create a DAG object
`DAG(java.lang.String id, java.lang.String dagname, java.lang.String label)` Create a DAG object

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDAG()` Is this Object a DAG
`void` `toXML(XMLWriter writer, int indent)`

### Methods inherited from class edu.isi.pegasus.planner.dax.AbstractJob

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addInvoke, addInvoke, addInvokes, addNotification, addNotification, addNotifications, addProfile, addProfile, addProfile, addProfiles, checkID, equals, getArguments, getId, getInvoke, getName, getNodeLabel, getNotification, getProfiles, getStderr, getStdin, getStdout, getUses, hashCode, isDAX, isJob, setNodeLabel, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, toXML, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DAG

    public DAG(java.lang.String id,
               java.lang.String dagname)

Create a DAG object

Parameters:
  `id` - The unique id of the DAG job object. Must be of type [A-Za-z][-A-Za-z0-9_]*
  `dagname` - The dag file to submit

#### DAG

    public DAG(DAG dag)

Copy Constructor

Parameters:
  `dag` -

#### DAG

    public DAG(java.lang.String id,
               java.lang.String dagname,
               java.lang.String label)

Create a DAG object

Parameters:
  `id` - The unique id of the DAG job object. Must be of type [A-Za-z][-A-Za-z0-9_]*
  `dagname` - The dag file to submit
  `label` - The label for this job.

### Method Detail

#### isDAG

    public boolean isDAG()

Is this Object a DAG

Overrides:
  `isDAG` in class `AbstractJob`
Returns:

#### toXML

    public void toXML(XMLWriter writer,
                      int indent)

Overrides:
  `toXML` in class `AbstractJob`